{% load static %}
<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]>      <html class="no-js"> <!--<![endif]-->
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>{% block title %}Makeup market{% endblock  %}</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
     <script src="https://code.jquery.com/jquery-3.6.0.min.js"
        integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script> 
    <link rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
    />
        {% comment %} <script src="http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script> {% endcomment %}
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous">
    </script>
    <link rel="stylesheet" href="{% static 'css/base.css' %}">
     <link rel="stylesheet" href="{% block stylesheet %}{% endblock  %}">
</head>

<body>
    <header class="pb-3">
        <nav class="navbar navbar-expand-md navbar-light bg-white border-bottom">
            <div class="container-fluid px-md-4">
                <div class="d-flex w-100 navbar-collapse">
                    <a class="navbar-brand d-flex-inline" href="/">
                        <svg xmlns="http://www.w3.org/2000/svg" width="36" height="36" fill="currentColor"
                            class="bi bi-asterisk" viewBox="0 0 16 16">
                            <path
                                d="M8 0a1 1 0 0 1 1 1v5.268l4.562-2.634a1 1 0 1 1 1 1.732L10 8l4.562 2.634a1 1 0 1 1-1 1.732L9 9.732V15a1 1 0 1 1-2 0V9.732l-4.562 2.634a1 1 0 1 1-1-1.732L6 8 1.438 5.366a1 1 0 0 1 1-1.732L7 6.268V1a1 1 0 0 1 1-1z" />
                        </svg>
                    </a>
                    <ul class="navbar-nav me-auto mb-2 mb-md-0">
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle d-none d-md-block fw500" href="#" id="navbarDropdown"
                                role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                Categories
                                <i class="ps-1"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16"
                                        fill="currentColor" class="bi bi-chevron-down" viewBox="0 0 16 16">
                                        <path fill-rule="evenodd"
                                            d="M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z" />
                                    </svg></i>
                            </a>
                            <ul class="dropdown-menu rounded-0 border-0" aria-labelledby="navbarDropdown">
                                <li><a class="dropdown-item" href="{% url "catalogue:home" %}">All</a></li>
                                {% for c in categories %}
                                    <li {% if category.slug == c.slug %}class="selected" {% endif %}>
                                        <a class="dropdown-item" href="{{ c.get_absolute_url }}">{{ c.name|title }}</a>
                                    </li>
                                {% endfor %}
                            </ul>
                        </li>
                    </ul>
                    <button class="navbar-toggler border-0" type="button" data-bs-toggle="collapse"
                        data-bs-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false"
                        aria-label="Toggle navigation">
                        <div>
                            <svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" fill="currentColor"
                                class="bi bi-list" viewBox="0 0 16 16">
                                <path fill-rule="evenodd"
                                    d="M2.5 11.5A.5.5 0 0 1 3 11h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm0-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm0-4A.5.5 0 0 1 3 3h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5z" />
                            </svg>
                        </div>
                        <span class="fs15 fw500">Shop</span>
                    </button>
                    <div>
                        <div class="collapse navbar-collapse" id="navbarSupportedContent2">
                        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                            <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle text-reset" href="#" id="navbarDropdown" role="button"
                                data-bs-toggle="dropdown" aria-expanded="false">
                                <div class="small text-muted">Hello,
                                {% if user.is_authenticated %}
                                    {{ request.user.name }}
                                {% else %}
                                Login
                                {% endif %}
                                </div>
                                <span class="fs15 fw500">Account &amp; Lists
                                </span>
                                </span>
                            </a>
                            <div class="dropdown-menu rounded-0" aria-labelledby="navbarDropdown">
                                <div class="card border-0">
                                <div class="card-body">
                                    <h6 class="card-title">My Account</h6>
                                    <ul class="list-group list-group-flush dropdown-account-link">
                                    {% if user.is_authenticated %}
                                    <a href="{% url "account:dashboard" %}" class="text-reset small list-group-item p-0 pb-1 border-0 dropdown-account-link">Your Account</a>
                                    <a href="#" class="text-reset small list-group-item p-0 pb-1 border-0 dropdown-account-link">Orders</a>
                                    <a href="{% url "account:logout" %}" class="text-reset small list-group-item p-0 pb-1 border-0 dropdown-account-link">Logout</a>      
                                    {% else %}
                                    <a href="{% url "account:login" %}" class="text-reset small list-group-item p-0 pb-1 border-0 dropdown-account-link">Login</a>
                                    {% endif %}
                                    </ul>
                                </div>
                                </div>
                            </div>
                            </li>
                        </ul>
                        </div>
                    </div>

                    <a type="button" role="button" href="{% url 'basket:basket_summary' %}"
                        class="btn btn-outline-secondary border-0 basket-btn">

                        {% with total_qty=basket|length %}
                            <div id="basket-qty" class="basket-qty">
                                {% if total_qty > 0 %}
                                {{ total_qty }}
                                {% else %}
                                0
                                {% endif %}
                            </div>
                        {% endwith %}
                        <div>
                            <svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" fill="currentColor"
                                class="bi bi-cart3" viewBox="0 0 16 16">
                                <path
                                    d="M0 1.5A.5.5 0 0 1 .5 1H2a.5.5 0 0 1 .485.379L2.89 3H14.5a.5.5 0 0 1 .49.598l-1 5a.5.5 0 0 1-.465.401l-9.397.472L4.415 11H13a.5.5 0 0 1 0 1H4a.5.5 0 0 1-.491-.408L2.01 3.607 1.61 2H.5a.5.5 0 0 1-.5-.5zM3.102 4l.84 4.479 9.144-.459L13.89 4H3.102zM5 12a2 2 0 1 0 0 4 2 2 0 0 0 0-4zm7 0a2 2 0 1 0 0 4 2 2 0 0 0 0-4zm-7 1a1 1 0 1 1 0 2 1 1 0 0 1 0-2zm7 0a1 1 0 1 1 0 2 1 1 0 0 1 0-2z" />
                            </svg>
                        </div>
                        <span class="fs15 fw500">Basket</span>
                    </a>
                </div>
                <div class="d-md-none d-lg-none d-xl-none">
                    <div class="collapse navbar-collapse" id="navbarCollapse">
                        <ul class="navbar-nav me-auto mb-2 mb-md-0">
                            <li><a class="dropdown-item" href="{% url "catalogue:home" %}">All</a></li>
                            {% for c in categories %}
                                <li {% if category.slug == c.slug %}class="selected" {% endif %}>
                                    <a class="dropdown-item" href="{{ c.get_absolute_url }}">{{ c.name|title }}</a>
                                </li>
                            {% endfor %}
                            <h6 class="card-title">My Account</h6>
                            <ul class="list-group list-group-flush dropdown-account-link">
                                {% if user.is_authenticated %}
                                <a href="{% url "account:dashboard" %}" class="dropdown-item">Your Account</a>
                                <a href="#" class="dropdown-item">Orders</a>
                                <a href="{% url "account:logout" %}" class="dropdown-item">Logout</a>      
                                {% else %}
                                <a href="{% url "account:login" %}" class="dropdown-item">Login</a>
                                {% endif %}
                            </ul>
                        </ul>
                    </div>
                </div>
                <form class="d-flex w-100 d-md-none">
                    <input class="form-control me-2" type="search" placeholder="Search products or FAQ"
                        aria-label="Search">
                    <button class="btn btn-outline-secondary" type="submit">Search</button>
                </form>
            </div>
        </nav>
    </header>
    <!--[if lt IE 7]>
            <p class="browsehappy">You are using an <strong>outdated</strong> browser. Please <a href="#">upgrade your browser</a> to improve your experience.</p>
        <![endif]-->
    <main class="pt-5">
        <div id='content'>{% block content %}{% endblock  %}</div>
    </main>
     <footer class="container py-5 footer">
        <hr>
        <div class="row pt-4">
            <div class="col-12 col-md">
                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                    class="bi bi-asterisk" viewBox="0 0 16 16">
                    <path
                        d="M8 0a1 1 0 0 1 1 1v5.268l4.562-2.634a1 1 0 1 1 1 1.732L10 8l4.562 2.634a1 1 0 1 1-1 1.732L9 9.732V15a1 1 0 1 1-2 0V9.732l-4.562 2.634a1 1 0 1 1-1-1.732L6 8 1.438 5.366a1 1 0 0 1 1-1.732L7 6.268V1a1 1 0 0 1 1-1z" />
                </svg>
                <small class="d-block mb-3 text-muted">&copy; 2017-2021</small>
            </div>
            <div class="col-3 col-md fs15">
                <h5>Features</h5>
                <ul class="list-unstyled">
                    <li><a class="link-secondary text-decoration-none" href="#">Cool stuff</a></li>
                    <li><a class="link-secondary text-decoration-none" href="#">Random feature</a></li>
                    <li><a class="link-secondary text-decoration-none" href="#">Team feature</a></li>
                    <li><a class="link-secondary text-decoration-none" href="#">Stuff for developers</a></li>
                    <li><a class="link-secondary text-decoration-none" href="#">Another one</a></li>
                    <li><a class="link-secondary text-decoration-none" href="#">Last time</a></li>
                </ul>
            </div>
            <div class="col-3 col-md fs15">
                <h5>Resources</h5>
                <ul class="list-unstyled">
                    <li><a class="link-secondary text-decoration-none" href="#">Resource name</a></li>
                    <li><a class="link-secondary text-decoration-none" href="#">Resource</a></li>
                    <li><a class="link-secondary text-decoration-none" href="#">Another resource</a></li>
                    <li><a class="link-secondary text-decoration-none" href="#">Final resource</a></li>
                </ul>
            </div>
            <div class="col-3 col-md fs15">
                <h5>Resources</h5>
                <ul class="list-unstyled">
                    <li><a class="link-secondary text-decoration-none" href="#">Business</a></li>
                    <li><a class="link-secondary text-decoration-none" href="#">Education</a></li>
                    <li><a class="link-secondary text-decoration-none" href="#">Government</a></li>
                    <li><a class="link-secondary text-decoration-none" href="#">Gaming</a></li>
                </ul>
            </div>
            <div class="col-3 col-md">
                <h5>About</h5>
                <ul class="list-unstyled">
                    <li><a class="link-secondary text-decoration-none" href="#">Team</a></li>
                    <li><a class="link-secondary text-decoration-none" href="#">Locations</a></li>
                    <li><a class="link-secondary text-decoration-none" href="#">Privacy</a></li>
                    <li><a class="link-secondary text-decoration-none" href="#">Terms</a></li>
                </ul>
            </div>
        </div>
    </footer>
    <script src="" async defer></script>
</body>

</html>